# -*- coding: utf-8 -*-

from django.core.management.base import BaseCommand
from common.util import uniprint, uniopen
from dictionary.models import Lexeme


class Command(BaseCommand):
    args = '<input file>'
    help = 'blah'

    def handle(self, input_file, **options):
        raise Exception("stale code")
        #filter_new(uniopen(input_file))


def filter_new(input_file):
    for line in input_file:
        entry = line.split(':')[0]
        not_found = (line.split(':')[1] == 'notfound')
        if not not_found:
            pos, ic, forms = line.split(':')[1].split(';')
            lexemes = Lexeme.objects.distinct().filter(
                vocabularies__id__in=('Morfologik', 'zbytkiM'), entry=entry)
            if pos == 'subst':
                lexemes = lexemes.filter(part_of_speech__symbol__in=(
                    'subst', 'osc', 'skrs'))
            else:
                lexemes = lexemes.filter(part_of_speech__symbol=pos)
            if ic == 'm':
                lexemes = lexemes.filter(
                    lexemeinflectionpattern__inflection_characteristic__symbol__in=(
                        'm1', 'm2', 'm3')
                )
            elif ic == 'ndk/dk':
                lexemes = lexemes.filter(
                    lexemeinflectionpattern__inflection_characteristic__symbol__in=(
                        'ndk/dk', 'dk/ndk', 'ndk/(dk)', 'dk/(ndk)')
                )
            elif ic == 'qndk': # jakoś nie ma qdk
                lexemes = lexemes.filter(
                    lexemeinflectionpattern__inflection_characteristic__symbol__in=(
                        'qndk', 'qdk', 'qndk/(dk)', 'qndk/dk')
                )
            else:
                lexemes = lexemes.filter(
                    lexemeinflectionpattern__inflection_characteristic__symbol=ic)
            if len(lexemes) == 0:
                not_found = True
            elif len(lexemes) == 1:
                uniprint('FOUND: %s' % line)
            else:
                uniprint('AMBIGUITY: %s' % line)
        if not_found:
            lexemes = Lexeme.objects.filter(
                vocabularies__id__in=('Morfologik', 'zbytkiM'), entry=entry)
            if len(lexemes) == 0:
                uniprint('NOT FOUND: %s' % line)
            elif len(lexemes) == 1:
                uniprint('FOUND: %s (%s;%s)' % (
                    line, lexemes.get().part_of_speech.symbol,
                    lexemes.get().lip_data()['inflection_characteristics']
                ))
            else:
                pos_set = set()
                ic_set = set()
                for l in lexemes:
                    pos_set.add(l.part_of_speech.symbol)
                    ic_set.add(l.lip_data()['inflection_characteristics'])
                uniprint('AMBIGUITY: %s (%s;%s)' % (
                    line, '|'.join(pos_set), '|'.join(ic_set)))