# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):
    def forwards(self, orm):
        # Deleting field 'SavedFilter.super'
        db.delete_column('dictionary_savedfilter', 'super')


    def backwards(self, orm):
        # Adding field 'SavedFilter.super'
        db.add_column('dictionary_savedfilter', 'super',
            self.gf('django.db.models.fields.BooleanField')(default=False),
            keep_default=False)


    models = {
        'auth.group': {
            'Meta': {'object_name': 'Group'},
            'id': (
            'django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [],
            {'unique': 'True', 'max_length': '80'}),
            'permissions': (
            'django.db.models.fields.related.ManyToManyField', [],
            {'to': "orm['auth.Permission']", 'symmetrical': 'False',
            'blank': 'True'})
        },
        'auth.permission': {
            'Meta': {
            'ordering': "('content_type__app_label', 'content_type__model', 'codename')",
            'unique_together': "(('content_type', 'codename'),)",
            'object_name': 'Permission'},
            'codename': (
            'django.db.models.fields.CharField', [], {'max_length': '100'}),
            'content_type': ('django.db.models.fields.related.ForeignKey', [],
            {'to': "orm['contenttypes.ContentType']"}),
            'id': (
            'django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': (
            'django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        'auth.user': {
            'Meta': {'object_name': 'User'},
            'date_joined': ('django.db.models.fields.DateTimeField', [],
            {'default': 'datetime.datetime.now'}),
            'email': ('django.db.models.fields.EmailField', [],
            {'max_length': '75', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [],
            {'max_length': '30', 'blank': 'True'}),
            'groups': ('django.db.models.fields.related.ManyToManyField', [],
            {'to': "orm['auth.Group']", 'symmetrical': 'False',
            'blank': 'True'}),
            'id': (
            'django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_active': (
            'django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'is_staff': (
            'django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'is_superuser': (
            'django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'last_login': ('django.db.models.fields.DateTimeField', [],
            {'default': 'datetime.datetime.now'}),
            'last_name': ('django.db.models.fields.CharField', [],
            {'max_length': '30', 'blank': 'True'}),
            'password': (
            'django.db.models.fields.CharField', [], {'max_length': '128'}),
            'user_permissions': (
            'django.db.models.fields.related.ManyToManyField', [],
            {'to': "orm['auth.Permission']", 'symmetrical': 'False',
            'blank': 'True'}),
            'username': ('django.db.models.fields.CharField', [],
            {'unique': 'True', 'max_length': '30'})
        },
        'contenttypes.contenttype': {
            'Meta': {'ordering': "('name',)",
            'unique_together': "(('app_label', 'model'),)",
            'object_name': 'ContentType', 'db_table': "'django_content_type'"},
            'app_label': (
            'django.db.models.fields.CharField', [], {'max_length': '100'}),
            'id': (
            'django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'model': (
            'django.db.models.fields.CharField', [], {'max_length': '100'}),
            'name': (
            'django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        'dictionary.baseformlabel': {
            'Meta': {'object_name': 'BaseFormLabel', 'db_table': "'efobazy'"},
            'entry': ('django.db.models.fields.CharField', [],
            {'max_length': '32', 'db_column': "'efobaz'", 'blank': 'True'}),
            'id': (
            'django.db.models.fields.AutoField', [], {'primary_key': 'True'})
        },
        'dictionary.cell': {
            'Meta': {'ordering': "['index']", 'object_name': 'Cell',
            'db_table': "'klatki'"},
            'base_form_label': (
            'django.db.models.fields.related.ForeignKey', [],
            {'to': "orm['dictionary.BaseFormLabel']", 'db_column': "'efobaz'"}),
            'id': (
            'django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'index': ('django.db.models.fields.IntegerField', [],
            {'db_column': "'kind'"}),
            'prefix': ('django.db.models.fields.CharField', [],
            {'max_length': '20', 'db_column': "'prefiks'", 'blank': 'True'}),
            'suffix': ('django.db.models.fields.CharField', [],
            {'max_length': '20', 'db_column': "'sufiks'", 'blank': 'True'}),
            'table_template': ('django.db.models.fields.related.ForeignKey', [],
            {'to': "orm['dictionary.TableTemplate']", 'db_column': "'st_id'"}),
            'tag': ('django.db.models.fields.TextField', [],
            {'db_column': "'tag'", 'blank': 'True'})
        },
        'dictionary.classification': {
            'Meta': {'object_name': 'Classification',
            'db_table': "'klasyfikacje'"},
            'id': (
            'django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [],
            {'unique': 'True', 'max_length': '64', 'db_column': "'nazwa'"})
        },
        'dictionary.classificationvalue': {
            'Meta': {'object_name': 'ClassificationValue',
            'db_table': "'wartosci_klasyfikacji'"},
            'classification': ('django.db.models.fields.related.ForeignKey', [],
            {'related_name': "'values'", 'db_column': "'klas_id'",
            'to': "orm['dictionary.Classification']"}),
            'deleted': ('django.db.models.fields.BooleanField', [],
            {'default': 'False', 'db_column': "'usunieta'"}),
            'id': (
            'django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'label': ('django.db.models.fields.CharField', [],
            {'unique': 'True', 'max_length': '64', 'db_column': "'nazwa'"}),
            'lexemes': ('django.db.models.fields.related.ManyToManyField', [],
            {'to': "orm['dictionary.Lexeme']", 'symmetrical': 'False',
            'blank': 'True'}),
            'parent_node': ('django.db.models.fields.related.ForeignKey', [],
            {'blank': 'True', 'related_name': "'child_nodes'", 'null': 'True',
            'db_column': "'rodzic'",
            'to': "orm['dictionary.ClassificationValue']"})
        },
        'dictionary.crossreference': {
            'Meta': {'object_name': 'CrossReference',
            'db_table': "'odsylacze'"},
            'from_lexeme': ('django.db.models.fields.related.ForeignKey', [],
            {'related_name': "'refs_to'", 'db_column': "'l_id_od'",
            'to': "orm['dictionary.Lexeme']"}),
            'id': (
            'django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'to_lexeme': ('django.db.models.fields.related.ForeignKey', [],
            {'related_name': "'refs_from'", 'db_column': "'l_id_do'",
            'to': "orm['dictionary.Lexeme']"}),
            'type': ('django.db.models.fields.related.ForeignKey', [],
            {'to': "orm['dictionary.CrossReferenceType']",
            'db_column': "'typods_id'"})
        },
        'dictionary.crossreferencetype': {
            'Meta': {'object_name': 'CrossReferenceType',
            'db_table': "'typyodsylaczy'"},
            'desc': ('django.db.models.fields.CharField', [],
            {'max_length': '40', 'db_column': "'naglowek'"}),
            'from_pos': ('django.db.models.fields.related.ForeignKey', [],
            {'related_name': "'crtype_to'", 'db_column': "'pos1'",
            'to': "orm['dictionary.PartOfSpeech']"}),
            'id': (
            'django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'index': ('django.db.models.fields.IntegerField', [],
            {'db_column': "'kolejnosc'"}),
            'symbol': ('django.db.models.fields.CharField', [],
            {'max_length': '10', 'db_column': "'typods'"}),
            'to_pos': ('django.db.models.fields.related.ForeignKey', [],
            {'related_name': "'crtype_from'", 'db_column': "'pos2'",
            'to': "orm['dictionary.PartOfSpeech']"})
        },
        'dictionary.ending': {
            'Meta': {'ordering': "['index']",
            'unique_together': "(('pattern', 'base_form_label', 'index'),)",
            'object_name': 'Ending', 'db_table': "'zakonczenia'"},
            'base_form_label': (
            'django.db.models.fields.related.ForeignKey', [],
            {'to': "orm['dictionary.BaseFormLabel']", 'db_column': "'efobaz'"}),
            'id': (
            'django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'index': ('django.db.models.fields.IntegerField', [],
            {'db_column': "'zind'"}),
            'pattern': ('django.db.models.fields.related.ForeignKey', [],
            {'related_name': "'endings'", 'db_column': "'w_id'",
            'to': "orm['dictionary.Pattern']"}),
            'qualifiers': (
            'django.db.models.fields.related.ManyToManyField', [],
            {'to': "orm['dictionary.Qualifier']", 'symmetrical': 'False',
            'db_table': "'kwalifikatory_zakonczen'", 'blank': 'True'}),
            'string': ('django.db.models.fields.CharField', [],
            {'max_length': '16', 'db_column': "'zak'", 'blank': 'True'})
        },
        'dictionary.history': {
            'Meta': {'object_name': 'History', 'db_table': "'history'"},
            'column_name': ('django.db.models.fields.CharField', [],
            {'max_length': '120', 'db_column': "'column_name_'",
            'blank': 'True'}),
            'column_ord': ('django.db.models.fields.IntegerField', [],
            {'db_column': "'ordinal_position_of_column_'"}),
            'id': (
            'django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'lexeme': ('django.db.models.fields.related.ForeignKey', [],
            {'to': "orm['dictionary.Lexeme']", 'null': 'True',
            'db_column': "'lexeme_id_'", 'blank': 'True'}),
            'new_value': ('django.db.models.fields.TextField', [],
            {'db_column': "'new_value_'", 'blank': 'True'}),
            'old_value': ('django.db.models.fields.TextField', [],
            {'db_column': "'old_value_'", 'blank': 'True'}),
            'operation': ('django.db.models.fields.CharField', [],
            {'max_length': '120', 'db_column': "'operation_'"}),
            'pattern': ('django.db.models.fields.related.ForeignKey', [],
            {'to': "orm['dictionary.Pattern']", 'null': 'True',
            'db_column': "'pattern_id_'", 'blank': 'True'}),
            'row_id': (
            'django.db.models.fields.IntegerField', [], {'db_column': "'id_'"}),
            'table_name': ('django.db.models.fields.CharField', [],
            {'max_length': '120', 'db_column': "'table_name_'"}),
            'table_oid': ('django.db.models.fields.IntegerField', [],
            {'db_column': "'table_oid_'"}),
            'timestamp': ('django.db.models.fields.DateTimeField', [],
            {'db_column': "'timestamp_'"}),
            'transaction_began': ('django.db.models.fields.DateTimeField', [],
            {'db_column': "'transaction_began_'"}),
            'user': ('django.db.models.fields.related.ForeignKey', [],
            {'to': "orm['auth.User']", 'db_column': "'user_id_'"})
        },
        'dictionary.inflectioncharacteristic': {
            'Meta': {'unique_together': "(['entry', 'part_of_speech'],)",
            'object_name': 'InflectionCharacteristic', 'db_table': "'charfle'"},
            'basic_form_label': (
            'django.db.models.fields.related.ForeignKey', [],
            {'to': "orm['dictionary.BaseFormLabel']", 'db_column': "'efobaz'"}),
            'entry': ('django.db.models.fields.CharField', [],
            {'max_length': '16', 'db_column': "'charfl'", 'blank': 'True'}),
            'id': (
            'django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'part_of_speech': ('django.db.models.fields.related.ForeignKey', [],
            {'to': "orm['dictionary.PartOfSpeech']", 'db_column': "'pos'"})
        },
        'dictionary.inputform': {
            'Meta': {'object_name': 'InputForm'},
            'form': ('django.db.models.fields.CharField', [],
            {'max_length': '64', 'db_index': 'True'}),
            'id': (
            'django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'input_lexeme': ('django.db.models.fields.related.ForeignKey', [],
            {'to': "orm['dictionary.InputLexeme']"})
        },
        'dictionary.inputlexeme': {
            'Meta': {'object_name': 'InputLexeme'},
            'entry': ('django.db.models.fields.CharField', [],
            {'max_length': '64', 'db_index': 'True'}),
            'id': (
            'django.db.models.fields.AutoField', [], {'primary_key': 'True'})
        },
        'dictionary.lexeme': {
            'Meta': {'object_name': 'Lexeme', 'db_table': "'leksemy'"},
            'comment': ('django.db.models.fields.TextField', [],
            {'db_column': "'komentarz'", 'blank': 'True'}),
            'deleted': ('django.db.models.fields.BooleanField', [],
            {'default': 'False', 'db_column': "'usuniety'"}),
            'entry': ('django.db.models.fields.CharField', [],
            {'db_index': 'True', 'max_length': '64', 'db_column': "'haslo'",
            'blank': 'True'}),
            'entry_suffix': ('django.db.models.fields.CharField', [],
            {'max_length': '16', 'db_column': "'haslosuf'", 'blank': 'True'}),
            'gloss': ('django.db.models.fields.TextField', [],
            {'db_column': "'glosa'", 'blank': 'True'}),
            'homonym_number': (
            'django.db.models.fields.IntegerField', [], {'db_column': "'hom'"}),
            'id': (
            'django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modified': ('django.db.models.fields.DateTimeField', [],
            {'auto_now': 'True', 'db_column': "'data_modyfikacji'",
            'blank': 'True'}),
            'note': ('django.db.models.fields.TextField', [],
            {'db_column': "'nota'", 'blank': 'True'}),
            'owner_vocabulary': (
            'django.db.models.fields.related.ForeignKey', [],
            {'related_name': "'owned_lexemes'", 'db_column': "'slownik'",
            'to': "orm['dictionary.Vocabulary']"}),
            'part_of_speech': ('django.db.models.fields.related.ForeignKey', [],
            {'to': "orm['dictionary.PartOfSpeech']", 'db_column': "'pos'"}),
            'patterns': ('django.db.models.fields.related.ManyToManyField', [],
            {'to': "orm['dictionary.Pattern']",
            'through': "orm['dictionary.LexemeInflectionPattern']",
            'symmetrical': 'False'}),
            'qualifiers': (
            'django.db.models.fields.related.ManyToManyField', [],
            {'to': "orm['dictionary.Qualifier']", 'symmetrical': 'False',
            'db_table': "'kwalifikatory_leksemow'", 'blank': 'True'}),
            'responsible': ('django.db.models.fields.related.ForeignKey', [],
            {'to': "orm['auth.User']", 'null': 'True',
            'db_column': "'odpowiedzialny'", 'blank': 'True'}),
            'source': ('django.db.models.fields.CharField', [],
            {'max_length': '32', 'db_column': "'zrodlo'", 'blank': 'True'}),
            'status': ('django.db.models.fields.CharField', [],
            {'max_length': '8', 'db_column': "'status'"})
        },
        'dictionary.lexemeassociation': {
            'Meta': {'object_name': 'LexemeAssociation',
            'db_table': "'leksemy_w_slownikach'"},
            'id': (
            'django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'lexeme': ('django.db.models.fields.related.ForeignKey', [],
            {'to': "orm['dictionary.Lexeme']", 'db_column': "'l_id'"}),
            'vocabulary': ('django.db.models.fields.related.ForeignKey', [],
            {'to': "orm['dictionary.Vocabulary']", 'db_column': "'slownik'"})
        },
        'dictionary.lexemeform': {
            'Meta': {'object_name': 'LexemeForm'},
            'form': ('django.db.models.fields.CharField', [],
            {'max_length': '128', 'db_index': 'True'}),
            'id': (
            'django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'lexeme': ('django.db.models.fields.related.ForeignKey', [],
            {'to': "orm['dictionary.Lexeme']"})
        },
        'dictionary.lexemeinflectionpattern': {
            'Meta': {'ordering': "['index']",
            'unique_together': "(('lexeme', 'index'),)",
            'object_name': 'LexemeInflectionPattern',
            'db_table': "'odmieniasie'"},
            'id': (
            'django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'index': ('django.db.models.fields.IntegerField', [],
            {'db_column': "'oind'"}),
            'inflection_characteristic': (
            'django.db.models.fields.related.ForeignKey', [],
            {'to': "orm['dictionary.InflectionCharacteristic']",
            'db_column': "'charfl'"}),
            'lexeme': ('django.db.models.fields.related.ForeignKey', [],
            {'to': "orm['dictionary.Lexeme']", 'db_column': "'l_id'"}),
            'pattern': ('django.db.models.fields.related.ForeignKey', [],
            {'to': "orm['dictionary.Pattern']", 'db_column': "'w_id'"}),
            'qualifiers': (
            'django.db.models.fields.related.ManyToManyField', [],
            {'to': "orm['dictionary.Qualifier']", 'symmetrical': 'False',
            'db_table': "'kwalifikatory_odmieniasiow'", 'blank': 'True'}),
            'root': ('django.db.models.fields.CharField', [],
            {'max_length': '64', 'db_column': "'rdzen'"})
        },
        'dictionary.lexicalclass': {
            'Meta': {'object_name': 'LexicalClass', 'db_table': "'czescimowy'"},
            'symbol': ('django.db.models.fields.CharField', [],
            {'max_length': '16', 'primary_key': 'True', 'db_column': "'czm'"})
        },
        'dictionary.paradygmatywsjp': {
            'Meta': {'object_name': 'ParadygmatyWSJP',
            'db_table': "'paradygmatywsjp'"},
            'charfl': ('django.db.models.fields.related.ForeignKey', [],
            {'to': "orm['dictionary.InflectionCharacteristic']",
            'db_column': "'charfl'"}),
            'col': ('django.db.models.fields.IntegerField', [], {}),
            'colspan': ('django.db.models.fields.IntegerField', [], {}),
            'efobaz': ('django.db.models.fields.related.ForeignKey', [],
            {'to': "orm['dictionary.BaseFormLabel']", 'db_column': "'efobaz'"}),
            'id': (
            'django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'kskl': ('django.db.models.fields.IntegerField', [], {}),
            'morf': ('django.db.models.fields.TextField', [], {}),
            'podparad': ('django.db.models.fields.CharField', [],
            {'max_length': '4', 'blank': 'True'}),
            'pref': ('django.db.models.fields.CharField', [],
            {'max_length': '20', 'blank': 'True'}),
            'row': ('django.db.models.fields.IntegerField', [], {}),
            'rowspan': ('django.db.models.fields.IntegerField', [], {}),
            'suf': ('django.db.models.fields.CharField', [],
            {'max_length': '20', 'blank': 'True'}),
            'typr': ('django.db.models.fields.related.ForeignKey', [],
            {'to': "orm['dictionary.PatternType']", 'db_column': "'typr'"}),
            'wariant': (
            'django.db.models.fields.CharField', [], {'max_length': '4'})
        },
        'dictionary.partofspeech': {
            'Meta': {'ordering': "['symbol']", 'object_name': 'PartOfSpeech',
            'db_table': "'klasygramatyczne'"},
            'lexical_class': ('django.db.models.fields.related.ForeignKey', [],
            {'to': "orm['dictionary.LexicalClass']", 'db_column': "'czm'"}),
            'symbol': ('django.db.models.fields.CharField', [],
            {'max_length': '16', 'primary_key': 'True', 'db_column': "'pos'"})
        },
        'dictionary.pattern': {
            'Meta': {'ordering': "['name']", 'object_name': 'Pattern',
            'db_table': "'wzory'"},
            'basic_form_ending': ('django.db.models.fields.CharField', [],
            {'max_length': '32', 'db_column': "'zakp'", 'blank': 'True'}),
            'comment': ('django.db.models.fields.TextField', [],
            {'db_column': "'komentarz'", 'blank': 'True'}),
            'example': ('django.db.models.fields.CharField', [],
            {'max_length': '64', 'db_column': "'przyklad'"}),
            'id': (
            'django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [],
            {'unique': 'True', 'max_length': '32', 'db_column': "'w_id'"}),
            'status': (
            'django.db.models.fields.CharField', [], {'max_length': '8'}),
            'type': ('django.db.models.fields.related.ForeignKey', [],
            {'to': "orm['dictionary.PatternType']", 'db_column': "'typ'"})
        },
        'dictionary.patterntype': {
            'Meta': {'object_name': 'PatternType', 'db_table': "'typywzorow'"},
            'entry': ('django.db.models.fields.CharField', [],
            {'max_length': '32', 'db_column': "'wtyp'", 'blank': 'True'}),
            'id': (
            'django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'lexical_class': ('django.db.models.fields.related.ForeignKey', [],
            {'to': "orm['dictionary.LexicalClass']", 'db_column': "'czm'"})
        },
        'dictionary.qualifier': {
            'Meta': {'ordering': "['label']",
            'unique_together': "(['label', 'vocabulary'],)",
            'object_name': 'Qualifier', 'db_table': "'kwalifikatory'"},
            'deleted': ('django.db.models.fields.BooleanField', [],
            {'default': 'False', 'db_column': "'usuniety'"}),
            'exclusion_class': (
            'django.db.models.fields.related.ForeignKey', [],
            {'to': "orm['dictionary.QualifierExclusionClass']", 'null': 'True',
            'db_column': "'klasa'", 'blank': 'True'}),
            'id': (
            'django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'label': ('django.db.models.fields.CharField', [],
            {'max_length': '64', 'db_column': "'kwal'"}),
            'vocabulary': ('django.db.models.fields.related.ForeignKey', [],
            {'related_name': "'qualifiers'", 'db_column': "'slownik'",
            'to': "orm['dictionary.Vocabulary']"})
        },
        'dictionary.qualifierexclusionclass': {
            'Meta': {'object_name': 'QualifierExclusionClass',
            'db_table': "'klasy_wykluczania'"},
            'id': (
            'django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [],
            {'unique': 'True', 'max_length': '64', 'db_column': "'nazwa'"}),
            'vocabulary': ('django.db.models.fields.related.ForeignKey', [],
            {'to': "orm['dictionary.Vocabulary']", 'db_column': "'slownik'"})
        },
        'dictionary.savedexportdata': {
            'Meta': {'object_name': 'SavedExportData'},
            'id': (
            'django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [],
            {'unique': 'True', 'max_length': '64'}),
            'serialized_data': ('django.db.models.fields.TextField', [], {})
        },
        'dictionary.savedfilter': {
            'Meta': {'unique_together': "(('name', 'user'),)",
            'object_name': 'SavedFilter'},
            'id': (
            'django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': (
            'django.db.models.fields.CharField', [], {'max_length': '64'}),
            'serialized_filter': ('django.db.models.fields.TextField', [], {}),
            'user': ('django.db.models.fields.related.ForeignKey', [],
            {'to': "orm['auth.User']"})
        },
        'dictionary.tablecell': {
            'Meta': {'object_name': 'TableCell', 'db_table': "'komorki_tabel'"},
            'cell': ('django.db.models.fields.related.OneToOneField', [],
            {'to': "orm['dictionary.Cell']", 'unique': 'True',
            'db_column': "'k_id'"}),
            'col': ('django.db.models.fields.IntegerField', [], {}),
            'colspan': ('django.db.models.fields.IntegerField', [], {}),
            'id': (
            'django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'row': ('django.db.models.fields.IntegerField', [], {}),
            'rowspan': ('django.db.models.fields.IntegerField', [], {})
        },
        'dictionary.tableheader': {
            'Meta': {'object_name': 'TableHeader',
            'db_table': "'naglowki_tabel'"},
            'col': ('django.db.models.fields.IntegerField', [], {}),
            'colspan': ('django.db.models.fields.IntegerField', [], {}),
            'id': (
            'django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'label': ('django.db.models.fields.CharField', [],
            {'max_length': '64', 'db_column': "'nagl'", 'blank': 'True'}),
            'row': ('django.db.models.fields.IntegerField', [], {}),
            'row_header': ('django.db.models.fields.BooleanField', [],
            {'default': 'False', 'db_column': "'wierszowy'"}),
            'rowspan': ('django.db.models.fields.IntegerField', [], {}),
            'table_template': ('django.db.models.fields.related.ForeignKey', [],
            {'to': "orm['dictionary.TableTemplate']", 'db_column': "'st_id'"})
        },
        'dictionary.tabletemplate': {
            'Meta': {'object_name': 'TableTemplate',
            'db_table': "'szablony_tabel'"},
            'id': (
            'django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'inflection_characteristic': (
            'django.db.models.fields.related.ForeignKey', [],
            {'to': "orm['dictionary.InflectionCharacteristic']",
            'db_column': "'charfl'"}),
            'pattern_type': ('django.db.models.fields.related.ForeignKey', [],
            {'to': "orm['dictionary.PatternType']", 'db_column': "'wtyp'"}),
            'variant': ('django.db.models.fields.related.ForeignKey', [],
            {'to': "orm['dictionary.Variant']", 'db_column': "'wariant'"})
        },
        'dictionary.variant': {
            'Meta': {'object_name': 'Variant', 'db_table': "'warianty'"},
            'id': ('django.db.models.fields.CharField', [],
            {'max_length': '32', 'primary_key': 'True',
            'db_column': "'wariant'"})
        },
        'dictionary.vocabulary': {
            'Meta': {'object_name': 'Vocabulary', 'db_table': "'slowniki'"},
            'classifications': (
            'django.db.models.fields.related.ManyToManyField', [],
            {'symmetrical': 'False', 'related_name': "'vocabularies'",
            'blank': 'True', 'to': "orm['dictionary.Classification']"}),
            'editors': ('django.db.models.fields.related.ManyToManyField', [],
            {'symmetrical': 'False', 'related_name': "'editable_vocabularies'",
            'blank': 'True', 'to': "orm['auth.User']"}),
            'id': ('django.db.models.fields.CharField', [],
            {'max_length': '64', 'primary_key': 'True',
            'db_column': "'slownik'"}),
            'lexemes': ('django.db.models.fields.related.ManyToManyField', [],
            {'symmetrical': 'False', 'related_name': "'vocabularies'",
            'blank': 'True', 'through': "orm['dictionary.LexemeAssociation']",
            'to': "orm['dictionary.Lexeme']"}),
            'managers': ('django.db.models.fields.related.ManyToManyField', [],
            {'symmetrical': 'False', 'related_name': "'managed_vocabularies'",
            'blank': 'True', 'to': "orm['auth.User']"}),
            'viewers': ('django.db.models.fields.related.ManyToManyField', [],
            {'symmetrical': 'False', 'related_name': "'visible_vocabularies'",
            'blank': 'True', 'to': "orm['auth.User']"})
        }
    }

    complete_apps = ['dictionary']