# -*- coding: utf-8 -*-

from django.conf.urls import patterns
from common.util import url

urlpatterns = patterns(
    '',
    url(r'^ajax/prompter-list/$', 'dictionary.ajax_prompter.prompter_list'),
)

urlpatterns += patterns(
    'dictionary.views',
    url(r'^$', 'main'),
    url(r'^leksemy/$', 'lexeme_view'),
    url(r'^lista-leksemow/$', 'export_list'),
    url(r'^zadania/$', 'tasks'),
    url(r'^raporty/$', 'reports'),
    url(r'^WSJP/(.+)/$', 'wsjp_table'),
    # url(r'^slownik/$', 'reader_view')
)

urlpatterns += patterns(
    'dictionary.ajax_lexeme_view',
    url(r'^ajax/inflection-tables/$', 'inflection_tables'),
    url(r'^ajax/odm-forms/$', 'odm_forms'),
    url(r'^ajax/lexeme-edit-form/$', 'lexeme_edit_form'),
    url(r'^ajax/update-lexeme/$', 'update_lexeme'),
    url(r'^ajax/table-preview/$', 'table_preview'),
    url(r'^ajax/new-lip-row/$', 'new_lip_edit_row'),
    url(r'^ajax/save-columns/$', 'save_columns'),
    url(r'^ajax/new-cr-row/$', 'new_cross_reference_row'),
    url(r'^ajax/delete-lexeme/$', 'delete_lexeme'),
    url(r'^ajax/check-pos/$', 'check_pos'),
    url(r'^ajax/check-pattern/$', 'check_pattern'),
    url(r'^ajax/check-classifications/$', 'check_classifications'),
    url(r'^ajax/create-lexeme/$', 'create_lexeme'),
    url(r'^ajax/classification-forms/$', 'classification_forms'),
    url(r'^ajax/extra-attributes/$', 'extra_attributes'),
    url(r'^ajax/check-attributes/$', 'check_attributes'),
    url(r'^ajax/homonym-count/$', 'homonym_count'),
    url(r'^ajax/cr-homonyms/$', 'cr_homonyms'),
    url(r'^ajax/new-action-row/$', 'new_action_row'),
    url(r'^ajax/dynamic-fields/$', 'dynamic_action_fields'),
    url(r'^ajax/execute-actions/$', 'execute_group_actions'),
    url(r'^ajax/create-derivatives/$', 'create_derivatives'),
    url(r'^ajax/clone-lexeme/$', 'clone_lexeme'),
    url(r'^ajax/get-entry/$', 'get_entry'),
)

urlpatterns += patterns(
    'dictionary.ajax_lexeme_slickgrid',
    url(r'^ajax/query/$', 'get_lexemes'),
    url(r'^ajax/search-index/$', 'search_index'),
    url(r'^ajax/row-index/$', 'row_index'),
    url(r'^ajax/search-by-form/$', 'search_by_form'),
)

urlpatterns += patterns(
    'dictionary.ajax_filters',
    url(r'^ajax/save-filter/$', 'save_filter'),
    url(r'^ajax/get-filters/$', 'get_filters'),
    url(r'^ajax/delete-filter/$', 'delete_filter'),
)