/* global $dj, slickgrid, edit, gettext */

var text_ops = ['eq', 'ne', 'bw', 'bn', 'ew', 'en', 'cn', 'nc', 're', 'nr'];
var eqne = ['in', '-in'];

var column_names = {
    name: gettext("Id"),
    type: gettext("Typ"),
    lexical_class: gettext("Cz. mowy"),
    example: gettext("Przykład")
};

var columns = {};

$.each(column_names, function(key, name) {
    "use strict";
    columns[key] = {id: key, field: key, name: name};
});

$.extend(slickgrid, {
    grid_caption: gettext("Wzory"),
    grid_element_id: 'pattern-grid',
    main_field: 'name',
    initial_columns: $dj.initial_columns,
    initial_sort_rules: [],
    all_columns: columns,
    filter_fields: {
        'name': {name: gettext("Nazwa"), gender: 'f', ops: text_ops},
        'old_name': {name: gettext("Stara nazwa"), gender: 'f', ops: text_ops},
        'lexical_class': {
            name: gettext("Typ odmiany"),
            gender: 'f',
            ops: eqne,
            options: $dj.lexical_class_options
        },
        'type': {
            name: gettext("Typ"),
            gender: 'm',
            ops: eqne,
            optgroups: $dj.pattern_type_options
        },
        'base_form_label': {name: gettext("Efobaz"), gender: 'm', ops: text_ops}
    },
    load_content: function(id) {
        "use strict";
        function check() {
            return id === slickgrid.active_id();
        }
        edit.busy_on();
        edit.load_content(id, check);
    },
    init_sort: function() {},
    init: function() {},

    query_params: function() {
        "use strict";
        return {
            sort_rules: slickgrid.loader.getSort(),
            filter: slickgrid.loader.getFilter()
        };
    }
});